Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ObjectMgr Class Reference
Inheritance diagram for ObjectMgr:

## Public Member Functions
| __init__ (self, editor)
Public Member Functions inherited from ObjectMgrBase
| __init__ (self, editor)
| addNewCurve (self, curveInfo, degree, uid=None, parent=None, fSelectObject=True, nodePath=None)
| addNewCurveFromFile (self, curveInfo, degree, uid=None, parent=None, fSelectObject=True, nodePath=None)
| addNewObject (self, typeName, uid=None, model=None, parent=None, anim=None, fSelectObject=True, nodePath=None, nameStr=None)
| deselectAll (self)
| duplicateChild (self, nodePath, parent)
| duplicateObject (self, nodePath, parent=None)
| duplicateSelected (self)
| findActors (self, parent)
| findNodes (self, parent)
| findObjectById (self, uid)
| findObjectByNodePath (self, nodePath)
| findObjectByNodePathBelow (self, nodePath)
| findObjectsByTypeName (self, typeName)
| flatten (self, newobjModel, model, objDef, uid)
| genUniqueId (self)
| getPostSaveData (self)
| getPreSaveData (self)
| getSaveData (self)
| makeSelectedLive (self)
| onEnterObjectPropUI (self, event)
| onLeaveObjectPropUI (self, event)
| removeObjectById (self, uid)
| removeObjectByNodePath (self, nodePath)
| replaceObjectWithTypeName (self, obj, typeName)
| reset (self)
| selectObject (self, nodePath, fLEPane=0)
| selectObjectCB (self, obj, fLEPane)
| setObjectTransform (self, uid, xformMat)
| spawnUpdateObjectUITask (self)
| traverse (self, parent, parentId=None)
| updateCurve (self, val, obj)
| updateObjectAnim (self, anim, obj, fSelectObject=True)
| updateObjectAnimFromUI (self, event, obj)
| updateObjectColor (self, r, g, b, a, np=None)
| updateObjectModel (self, model, obj, fSelectObject=True)
| updateObjectModelFromUI (self, event, obj)
| updateObjectProperties (self, nodePath, propValues)
| updateObjectProperty (self, event, obj, propName)
| updateObjectPropertyUI (self, obj)
| updateObjectPropValue (self, obj, propName, val, fSelectObject=False, fUndo=True)
| updateObjectTransform (self, event)
| updateObjectUITask (self, state)

## Additional Inherited Members
Public Attributes inherited from ObjectMgrBase
list | Actor = []
| currLiveNP = None
| currNodePath = None
| editor = editor
str | lastUid = ''
int | lastUidMod = self.lastUidMod + 1
int | lastUidMode = 0
list | Nodes = []
dict | npIndex = {}
| objDegree = obj[OG.OBJ_PROP]['Degree']
dict | objects = {}
dict | objectsLastXform = {}
list | saveData = []

## Detailed Description

     ObjectMgr will create, manage, update objects in the scene

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | editor )